package gov.va.med.esr.service.external.person;

import java.util.Date;

import gov.va.med.esr.service.external.ExternalComponent;
import gov.va.med.esr.service.external.person.collections.PreferredFacilityCollection;
import gov.va.med.esr.service.external.person.collections.RaceCollection;

public class DemographicInfo extends ExternalComponent{


	private static final long serialVersionUID = 458542862352323528L;

	//1. ContactInfo

	private ContactInfo contactInfo;

	
	private RaceCollection races;
	 
    /*
     * PID/16/Z05
     */
    private String  maritalStatus = null;
	
    /**
     * PID/22/Z05
     */
    private String ethnicity = null;

    /**
     * PID/17/Z05
     */
    private String religion = null;
    
    //ZEL/6/Z11
    private String claimFolderNumber;
    //ZEL/7/Z11
    private String claimFolderLocation;

    //ZEN/8/Z11
    private String preferredFacility;
    
    //ZIO/5/Z11
    private Boolean appointmentRequestResponse;
    
    //ZIO/6/Z11
    private Date  appointmentRequestDate;
    //ccr 11757
    private Date assignmentDate = null;
	private Date unassignmentDate = null;
	private String preferredLanguage = null;
	private Date preferredLanguageEntryDate = null;
	
    
    //Multiple preferred facility for web service
    private PreferredFacilityCollection preferredFacilities;
    
	public ContactInfo getContactInfo() {
		return contactInfo;
	}

	public void setContactInfo(ContactInfo contactInfo) {
		this.contactInfo = contactInfo;
	}

	public Date getAppointmentRequestDate() {
		return appointmentRequestDate;
	}

	public void setAppointmentRequestDate(Date appointmentRequestDate) {
		this.appointmentRequestDate = appointmentRequestDate;
	}

	public Boolean getAppointmentRequestResponse() {
		return appointmentRequestResponse;
	}

	public void setAppointmentRequestResponse(Boolean appointmentRequestResponse) {
		this.appointmentRequestResponse = appointmentRequestResponse;
	}

	public String getClaimFolderLocation() {
		return claimFolderLocation;
	}

	public void setClaimFolderLocation(String claimFolderLocation) {
		this.claimFolderLocation = claimFolderLocation;
	}

	public String getClaimFolderNumber() {
		return claimFolderNumber;
	}

	public void setClaimFolderNumber(String claimFolderNumber) {
		this.claimFolderNumber = claimFolderNumber;
	}

	public String getEthnicity() {
		return ethnicity;
	}

	public void setEthnicity(String ethnicity) {
		this.ethnicity = ethnicity;
	}

	public String getMaritalStatus() {
		return maritalStatus;
	}

	public void setMaritalStatus(String maritalStatus) {
		this.maritalStatus = maritalStatus;
	}

	public String getPreferredFacility() {
		return preferredFacility;
	}

	public void setPreferredFacility(String preferredFacility) {
		this.preferredFacility = preferredFacility;
	}

	public RaceCollection getRaces() {
		return races;
	}

	public void setRaces(RaceCollection races) {
		this.races = races;
	}

	public String getReligion() {
		return religion;
	}

	public void setReligion(String religion) {
		this.religion = religion;
	}

	public PreferredFacilityCollection getPreferredFacilities() {
		return preferredFacilities;
	}

	public void setPreferredFacilities(
			PreferredFacilityCollection preferredFacilities) {
		this.preferredFacilities = preferredFacilities;
	}

	public Date getAssignmentDate() {
		return assignmentDate;
	}

	public void setAssignmentDate(Date assignmentDate) {
		this.assignmentDate = assignmentDate;
	}

	public Date getUnassignmentDate() {
		return unassignmentDate;
	}

	public void setUnassignmentDate(Date unassignmentDate) {
		this.unassignmentDate = unassignmentDate;
	}
	
	public String getPreferredLanguage() {
		return preferredLanguage;
	}

	public void setPreferredLanguage(String preferredLanguage) {
		this.preferredLanguage = preferredLanguage;
	}	

	public Date getPreferredLanguageEntryDate() {
		return preferredLanguageEntryDate;
	}

	public void setPreferredLanguageEntryDate(Date preferredLanguageEntryDate) {
		this.preferredLanguageEntryDate = preferredLanguageEntryDate;
	}	
	
}
